import type { Logger } from '../logger';
import type { FileSystem } from '../storage/FileSystem';
import type { InitConfig } from '../types';
import type { AgentDependencies } from './AgentDependencies';
import { Subject } from 'rxjs';
import { AutoAcceptCredential } from '../modules/credentials/CredentialAutoAcceptType';
import { AutoAcceptProof } from '../modules/proofs/ProofAutoAcceptType';
import { MediatorPickupStrategy } from '../modules/routing/MediatorPickupStrategy';
import { DidCommMimeType } from '../types';
export declare class AgentConfig {
    private initConfig;
    logger: Logger;
    readonly agentDependencies: AgentDependencies;
    readonly fileSystem: FileSystem;
    readonly stop$: Subject<boolean>;
    constructor(initConfig: InitConfig, agentDependencies: AgentDependencies);
    get label(): string;
    get publicDidSeed(): string | undefined;
    get poolName(): string;
    get genesisPath(): string | undefined;
    get genesisTransactions(): string | undefined;
    get walletConfig(): import("../types").WalletConfig | undefined;
    get autoAcceptConnections(): boolean;
    get autoAcceptProofs(): AutoAcceptProof;
    get autoAcceptCredentials(): AutoAcceptCredential;
    get didCommMimeType(): DidCommMimeType;
    get mediatorPollingInterval(): number;
    get mediatorPickupStrategy(): MediatorPickupStrategy;
    get endpoints(): [string, ...string[]];
    get mediatorConnectionsInvite(): string | undefined;
    get autoAcceptMediationRequests(): boolean;
    get defaultMediatorId(): string | undefined;
    get clearDefaultMediator(): boolean;
    get useLegacyDidSovPrefix(): boolean;
}
