"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicMessageHandler = void 0;
const error_1 = require("../../../error");
const messages_1 = require("../messages");
class BasicMessageHandler {
    constructor(basicMessageService) {
        this.supportedMessages = [messages_1.BasicMessage];
        this.basicMessageService = basicMessageService;
    }
    async handle(messageContext) {
        const connection = messageContext.connection;
        if (!connection) {
            throw new error_1.AriesFrameworkError(`Connection for verkey ${messageContext.recipientVerkey} not found!`);
        }
        if (!connection.theirKey) {
            throw new error_1.AriesFrameworkError(`Connection with verkey ${connection.verkey} has no recipient keys.`);
        }
        await this.basicMessageService.save(messageContext, connection);
    }
}
exports.BasicMessageHandler = BasicMessageHandler;
//# sourceMappingURL=BasicMessageHandler.js.map