import type { Cred } from 'indy-sdk';
import { AgentMessage } from '../../../agent/AgentMessage';
import { Attachment } from '../../../decorators/attachment/Attachment';
export declare const INDY_CREDENTIAL_ATTACHMENT_ID = "libindy-cred-0";
interface IssueCredentialMessageOptions {
    id?: string;
    comment?: string;
    credentialAttachments: Attachment[];
    attachments?: Attachment[];
}
export declare class IssueCredentialMessage extends AgentMessage {
    constructor(options: IssueCredentialMessageOptions);
    readonly type = "https://didcomm.org/issue-credential/1.0/issue-credential";
    static readonly type = "https://didcomm.org/issue-credential/1.0/issue-credential";
    comment?: string;
    credentialAttachments: Attachment[];
    get indyCredential(): Cred | null;
}
export {};
