import type { CredReq } from 'indy-sdk';
import { AgentMessage } from '../../../agent/AgentMessage';
import { Attachment } from '../../../decorators/attachment/Attachment';
export declare const INDY_CREDENTIAL_REQUEST_ATTACHMENT_ID = "libindy-cred-request-0";
interface RequestCredentialMessageOptions {
    id?: string;
    comment?: string;
    requestAttachments: Attachment[];
    attachments?: Attachment[];
}
export declare class RequestCredentialMessage extends AgentMessage {
    constructor(options: RequestCredentialMessageOptions);
    readonly type = "https://didcomm.org/issue-credential/1.0/request-credential";
    static readonly type = "https://didcomm.org/issue-credential/1.0/request-credential";
    comment?: string;
    requestAttachments: Attachment[];
    get indyCredentialRequest(): CredReq | null;
}
export {};
