"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchPickupHandler = void 0;
const error_1 = require("../../../error");
const messages_1 = require("../messages");
class BatchPickupHandler {
    constructor(messagePickupService) {
        this.supportedMessages = [messages_1.BatchPickupMessage];
        this.messagePickupService = messagePickupService;
    }
    async handle(messageContext) {
        const { message, connection } = messageContext;
        if (!connection) {
            throw new error_1.AriesFrameworkError(`No connection associated with incoming message with id ${message.id}`);
        }
        return this.messagePickupService.batch(messageContext);
    }
}
exports.BatchPickupHandler = BatchPickupHandler;
//# sourceMappingURL=BatchPickupHandler.js.map