"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediationGrantHandler = void 0;
const messages_1 = require("../messages");
class MediationGrantHandler {
    constructor(mediationRecipientService) {
        this.supportedMessages = [messages_1.MediationGrantMessage];
        this.mediationRecipientService = mediationRecipientService;
    }
    async handle(messageContext) {
        if (!messageContext.connection) {
            throw new Error(`Connection for verkey ${messageContext.recipientVerkey} not found!`);
        }
        await this.mediationRecipientService.processMediationGrant(messageContext);
    }
}
exports.MediationGrantHandler = MediationGrantHandler;
//# sourceMappingURL=MediationGrantHandler.js.map